# Generated by Django 3.1.3 on 2020-11-12 00:09

import datetime
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('caldav', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='GoogleAuthInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('email', models.CharField(max_length=191, unique=True)),
                ('_creds', models.BinaryField()),
            ],
            options={
                'verbose_name': 'Google Authentication Information',
                'verbose_name_plural': 'Google Authentication Information',
            },
        ),
        migrations.CreateModel(
            name='GCalSync',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=191, verbose_name='Sync Name')),
                ('calendar_id', models.CharField(help_text="Can be found in the Google Calendar webapp, under 'Calendar Settings' > 'Integrate calendar' > 'Calendar ID'", max_length=191, verbose_name='Google Calendar ID')),
                ('purge', models.BooleanField(default=False, help_text='Do not use if you are importing multiple ICS files into the same calendar.', verbose_name='Purge calendar (remove old events)')),
                ('sync_interval', models.DurationField(default=datetime.timedelta(seconds=21600), verbose_name='Sync interval')),
                ('last_sync', models.DateTimeField(blank=True, null=True, verbose_name='Last synchronised')),
                ('active', models.BooleanField(default=True, verbose_name='Sync active')),
                ('google_account', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='gcalendar.googleauthinfo', verbose_name='Google Account')),
                ('target', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='caldav.caldavcalendar', verbose_name='Target calendar')),
            ],
            options={
                'verbose_name': 'Google Calendar Sync',
                'verbose_name_plural': 'Google Calendar Syncs',
            },
        ),
    ]
